ForLoopTree (Java SE 13 & JDK 13 )
Description: declaration: module: jdk.scripting.nashorn, package: jdk.nashorn.api.tree, interface: ForLoopTree
Keywords: jdk.nashorn.api.tree.ForLoopTree interface

Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

# Interface ForLoopTree

All Superinterfaces:
  `ConditionalLoopTree`, `LoopTree`, `StatementTree`, `Tree`

    @Deprecated(since="11",
                forRemoval=true)
    public interface ForLoopTree
    extends ConditionalLoopTree

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
A tree node for a basic 'for' loop statement. For example:

       for ( initializer ; condition ; update )
           statement

Since:
  9

- ## Nested Class Summary

  ## Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

  `Tree.Kind`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ExpressionTree` | `getCondition()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the condition expression of this 'for' statement.
  `ExpressionTree` | `getInitializer()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the initializer expression of this 'for' statement.
  `StatementTree` | `getStatement()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the statement contained in this 'for' statement.
  `ExpressionTree` | `getUpdate()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the update expression of this 'for' statement.

  ### Methods declared in interface jdk.nashorn.api.tree.Tree

  `accept, getEndPosition, getKind, getStartPosition`

- ## Method Details

  - ### getInitializer

    ExpressionTree getInitializer()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the initializer expression of this 'for' statement.
    Returns:
      the initializer expression

  - ### getCondition

    ExpressionTree getCondition()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the condition expression of this 'for' statement.
    Specified by:
      `getCondition` in interface `ConditionalLoopTree`
    Returns:
      the condition expression

  - ### getUpdate

    ExpressionTree getUpdate()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the update expression of this 'for' statement.
    Returns:
      the update expression

  - ### getStatement

    StatementTree getStatement()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the statement contained in this 'for' statement.
    Specified by:
      `getStatement` in interface `LoopTree`
    Returns:
      the statement